[arch-commits] Commit in luxrays/trunk (PKGBUILD QTBUG-22829.diff)

Lukas Jirkovsky stativ at nymeria.archlinux.org
Wed Oct 30 19:37:34 UTC 2013


    Date: Wednesday, October 30, 2013 @ 20:37:33
  Author: stativ
Revision: 99657

luxrays: add a patch to fix compilation, patch sources in prepare() instead of build()

Added:
  luxrays/trunk/QTBUG-22829.diff
Modified:
  luxrays/trunk/PKGBUILD

------------------+
 PKGBUILD         |   14 +++++++++++---
 QTBUG-22829.diff |   17 +++++++++++++++++
 2 files changed, 28 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2013-10-30 19:28:33 UTC (rev 99656)
+++ PKGBUILD	2013-10-30 19:37:33 UTC (rev 99657)
@@ -13,17 +13,25 @@
 options=('staticlibs')
 source=(https://bitbucket.org/luxrender/luxrays/get/$_pkgver.tar.bz2 \
         http://www.luxrender.net/release/luxmark/room_scene_v2.1.zip \
-        luxmark_scenes_path.diff)
+        luxmark_scenes_path.diff QTBUG-22829.diff)
 md5sums=('1bece7823fe1f9e177fec4efdf637ca5'
          'ae917f025e32e20b1d20ebf8d22204cb'
-         '1fd2a6f32e2822b5e0f147304292a1b9')
+         '1fd2a6f32e2822b5e0f147304292a1b9'
+         '6e20ee7ea64c578431d51065d0871abc')
 
-build() {
+prepare() {
   cd "$srcdir/luxrender-luxrays-$_pkgver"
 
   # change the path to luxmark scenes
   patch -Np1 < "$srcdir/luxmark_scenes_path.diff" || true
 
+  # workaround QTBUG-22829 (moc doesn't work with boost headers)
+  patch -Np1 < "$srcdir/QTBUG-22829.diff" || true
+}
+
+build() {
+  cd "$srcdir/luxrender-luxrays-$_pkgver"
+
   export CXXFLAGS="$CXXFLAGS -lpthread"
   cmake -DCMAKE_INSTALL_PREFIX=/usr \
     -DCMAKE_SKIP_RPATH=ON \

Added: QTBUG-22829.diff
===================================================================
--- QTBUG-22829.diff	                        (rev 0)
+++ QTBUG-22829.diff	2013-10-30 19:37:33 UTC (rev 99657)
@@ -0,0 +1,17 @@
+diff -rup luxrender-luxrays-d16b0f132b4a/samples/luxmark/slgdefs.h luxrender-luxrays-d16b0f132b4a.new/samples/luxmark/slgdefs.h
+--- luxrender-luxrays-d16b0f132b4a/samples/luxmark/slgdefs.h	2013-10-16 11:16:00.000000000 +0200
++++ luxrender-luxrays-d16b0f132b4a.new/samples/luxmark/slgdefs.h	2013-10-30 20:29:36.768650444 +0100
+@@ -41,11 +41,13 @@
+ #include "luxrays/core/utils.h"
+ #include "luxrays/utils/atomic.h"
+ 
++#ifndef Q_MOC_RUN
+ #include "slg/slg.h"
+ #include "slg/rendersession.h"
+ #include "slg/renderconfig.h"
+ #include "slg/sdl/scene.h"
+ #include "slg/film/film.h"
++#endif
+ 
+ #include "mainwindow.h"
+ 




More information about the arch-commits mailing list